server:
  port: 8080

eureka:
  instance:
    prefer-ip-address: true #是否优先使用IP地址作为主机名的标识，默认false
    instance-id: ${spring.cloud.client.ip-address}:${spring.application.name}:${server.port} #注册到eureka上的唯一实例ID
    lease-renewal-interval-in-seconds: 10 #表示eureka client发送心跳给server端的频率，默认30
    lease-expiration-duration-in-seconds: 30 #表示eureka server至上一次收到client的心跳之后，等待下一次心跳的超时时间，在这个时间内若没收到下一次心跳，则将移除该instance，默认90
  client:
    registry-fetch-interval-seconds: 5  #定时从Eureka Server拉取服务注册信息的间隔时间
    serviceUrl:
      defaultZone: http://eureka-internal.piaoquantv.com/eureka/

spring:
  redis:
    hostName: r-bp1fogs2mflr1ybfot.redis.rds.aliyuncs.com
    port: 6379
    password: Wqsd@2019
    timeout: 1000
    lettuce:
      pool:
        max-active: 8
        max-wait: -1
        max-idle: 8
        min-idle: 0
  feature-redis:
    hostName: r-bp1pi8wyv6lzvgjy5z.redis.rds.aliyuncs.com
    port: 6379
    password: Wqsd@2019
    timeout: 1000
    lettuce:
      pool:
        max-active: 8
        max-wait: -1
        max-idle: 8
        min-idle: 0
  long-video-redis:
    hostName: r-bp1oyhyx4mxgs6klyt561.redis.rds.aliyuncs.com
    port: 6379
    password: Wqsd@2019
    timeout: 1000
    lettuce:
      pool:
        max-active: 8
        max-wait: -1
        max-idle: 8
        min-idle: 0
  filter-redis:
    hostName: r-bp109v1gjl63qi00cb.redis.rds.aliyuncs.com
    port: 6379
    password: Wqsd@2019
    timeout: 1000
    lettuce:
      pool:
        max-active: 8
        max-wait: -1
        max-idle: 8
        min-idle: 0
  video-redis:
    hostName: r-bp1f3341ec15a634301.redis.rds.aliyuncs.com
    port: 6379
    password: Wqsd@2019
    timeout: 1000
    lettuce:
      pool:
        max-active: 8
        max-wait: -1
        max-idle: 8
        min-idle: 0
  data:
    mongodb:
      clusterHost: s-bp14ce206f81b754.mongodb.rds.aliyuncs.com
      clusterPort: 3717
      secondaryHost: s-bp137073555e7bc4.mongodb.rds.aliyuncs.com
      secondaryPort: 3717
      database: longvideo
      username: lv
      password: lv2018
      # 连接池
      maxConnectionIdleTime: 180000
      # maxConnectionLifeTime: 30000
      maxWaitTime: 5000
      minSize: 5
      maxSize: 100
  datasource:
    url: jdbc:mysql://rm-bp1jjv3jv98133plv285-vpc-rw.mysql.rds.aliyuncs.com:3306/longvideo?useSSL=true&useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull
    username: wx2016_longvideo
    password: wx2016_longvideoP@assword1234
    driver-class-name: com.mysql.jdbc.Driver
    hikari:
      connection-timeout: 30000
      minimum-idle: 5
      maximum-pool-size: 100
      auto-commit: true
      idle-timeout: 30000
  jpa:
    hibernate:
      ddl-auto: validate
    database: mysql
xxl:
  job:
    admin:
      addresses: http://192.168.201.25:8182/xxl-job-admin
    accessToken:
    executor:
      appname: ${spring.application.name}
      address:
      ip:
      port: 9999
      logpath: /datalog/weblog/${spring.application.name}/xxl-job/
      logretentiondays: 30

apollo:
  meta: http://apolloconfig-internal.piaoquantv.com

aliyun:
  log:
    endpoint: cn-hangzhou-intranet.log.aliyuncs.com
    accessKeyId: LTAIP6x1l3DXfSxm
    accessKeySecret: KbTaM9ars4OX3PMS6Xm7rtxGr1FLon
    project: recommend-server
  timer:
    log:
      project: recommend-server
      logStore: timer
  blacklist:
    filter:
      log:
        project: wqsd-video
        store: video_blacklist_security_filter_log